| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.ShowWName

Portability | unportable
Stability | unstable
Maintainer | andrea.rossato@unibz.it

Contents

Usage

Description
This is a layout modifier that will show the workspace name
Synopsis

showWName :: l a -> ModifiedLayout ShowWName l a
showWName' :: SWNConfig -> l a -> ModifiedLayout ShowWName l a
defaultSWNConfig :: SWNConfig

data SWNConfig = SWNC {

swn_font :: String
swn_bgcolor :: String
swn_color :: String
swn_fade :: Rational

}

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.ShowWName
     myLayout = layoutHook defaultConfig
     main = xmonad defaultConfig { layoutHook = showWName myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

showWName :: l a -> ModifiedLayout ShowWName l a | Source

A layout modifier to show the workspace name when switching

showWName' :: SWNConfig -> l a -> ModifiedLayout ShowWName l a | Source

A layout modifier to show the workspace name when switching. It is possible to provide a custom configuration.

defaultSWNConfig :: SWNConfig | Source

data SWNConfig | Source

Constructors

SWNC |

swn_font :: String | Font name
swn_bgcolor :: String | Background color
swn_color :: String | String color
swn_fade :: Rational | Time in seconds of the name visibility

Instances

Read SWNConfig
Show SWNConfig

Produced by Haddock version 2.4.2